Package org.lwjgl.util.glu

# Class MipMap

java.lang.Object
org.lwjgl.util.glu.Util
org.lwjgl.util.glu.MipMap

public class MipMap extends Util
MipMap.java Created 11-jan-2004

Author:
  Erik Duijs

## Constructor Summary

Constructors
Constructor
Description
`MipMap()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`gluBuild2DMipmaps(int target, int components, int width, int height, int format, int type, ByteBuffer data)`
Method gluBuild2DMipmaps
`static int`
`gluScaleImage(int format, int widthIn, int heightIn, int typein, ByteBuffer dataIn, int widthOut, int heightOut, int typeOut, ByteBuffer dataOut)`
Method gluScaleImage.

### Methods inherited from class org.lwjgl.util.glu.Util

`bytesPerPixel, ceil, compPerPix, cross, glGetIntegerv, nearestPower, normalize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MipMap

public MipMap()

## Method Details

### gluBuild2DMipmaps

public static int gluBuild2DMipmaps(int target, int components, int width, int height, int format, int type, ByteBuffer data)
Method gluBuild2DMipmaps

Parameters:
  `target` -
  `components` -
  `width` -
  `height` -
  `format` -
  `type` -
  `data` -
Returns:
  int

### gluScaleImage

public static int gluScaleImage(int format, int widthIn, int heightIn, int typein, ByteBuffer dataIn, int widthOut, int heightOut, int typeOut, ByteBuffer dataOut)
Method gluScaleImage.

Parameters:
  `format` -
  `widthIn` -
  `heightIn` -
  `typein` -
  `dataIn` -
  `widthOut` -
  `heightOut` -
  `typeOut` -
  `dataOut` -
Returns:
  int